import request from '@/utils/request'

// 查询行政区域列表
export function listSetRegion(query) {
  return request({
    url: '/set/setRegion/list',
    method: 'get',
    params: query
  })
}

// 查询行政区域详细
export function getSetRegion(id) {
  return request({
    url: '/set/setRegion/' + id,
    method: 'get'
  })
}

// 新增行政区域
export function addSetRegion(data) {
  return request({
    url: '/set/setRegion',
    method: 'post',
    data: data
  })
}

// 修改行政区域
export function updateSetRegion(data) {
  return request({
    url: '/set/setRegion',
    method: 'put',
    data: data
  })
}

// 删除行政区域
export function delSetRegion(id) {
  return request({
    url: '/set/setRegion/' + id,
    method: 'delete'
  })
}

// 查询省列表
export function getProvince() {
  return request({
    url: '/set/setRegion/getProvince',
    method: 'get',
  })
}

// 查询市、区列表
export function getCityOrArea(id) {
  return request({
    url: '/set/setRegion/getCityOrArea',
    method: 'get',
    params: {
      id: id,
    }
  })
}
